From 2416d4b14a80e5d444d9299ea14848b8243028bb Mon Sep 17 00:00:00 2001
From: Sandeep Kumar <sandeep.kumar.ruhil@gmail.com>
Date: Sat, 27 Apr 2013 23:09:59 +0530
Subject: [PATCH 2/2] Qt: Add preference to toggle whether picture size will
 be shown on resizing or not.

---
 modules/gui/qt4/components/simple_preferences.cpp |    1 +
 modules/gui/qt4/ui/sprefs_subtitles.ui            |   17 +++++++++++++++++
 2 files changed, 18 insertions(+)

diff --git a/modules/gui/qt4/components/simple_preferences.cpp b/modules/gui/qt4/components/simple_preferences.cpp
index fd9fc60..d5ee52b 100644
--- a/modules/gui/qt4/components/simple_preferences.cpp
+++ b/modules/gui/qt4/components/simple_preferences.cpp
@@ -664,6 +664,7 @@ SPrefsPanel::SPrefsPanel( intf_thread_t *_p_intf, QWidget *_parent,
                             outlineColor );
 
             CONFIG_GENERIC_NO_BOOL( "sub-margin", Integer, ui.subsPosLabel, subsPosition );
+            CONFIG_BOOL( "resize-msg", resizeMsg );
 
             ui.shadowCheck->setChecked( config_GetInt( p_intf, "freetype-shadow-opacity" ) > 0 );
             ui.backgroundCheck->setChecked( config_GetInt( p_intf, "freetype-background-opacity" ) > 0 );
diff --git a/modules/gui/qt4/ui/sprefs_subtitles.ui b/modules/gui/qt4/ui/sprefs_subtitles.ui
index e3db352..4b32e89 100644
--- a/modules/gui/qt4/ui/sprefs_subtitles.ui
+++ b/modules/gui/qt4/ui/sprefs_subtitles.ui
@@ -307,6 +307,22 @@
      </layout>
     </widget>
    </item>
+    <item>
+    <widget class="QGroupBox" name="groupBox_4">
+     <property name="title">
+      <string>Others</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_3">
+      <item row="0" column="0">
+       <widget class="QCheckBox" name="resizeMsg">
+        <property name="text">
+         <string>Show screen size on window resize</string>
+        </property>
+       </widget>
+      </item>
+     </layout>
+    </widget>
+   </item>
   </layout>
  </widget>
  <tabstops>
@@ -323,6 +339,7 @@
   <tabstop>shadowCheck</tabstop>
   <tabstop>backgroundCheck</tabstop>
   <tabstop>subsPosition</tabstop>
+  <tabstop>resizeMsg</tabstop>
  </tabstops>
  <resources/>
  <connections/>
-- 
1.7.10.4

